<?php 

class InputHidden  {
  private $scope;
  private $scopeId;
  private $nameProp;
  private $idProp;
  private $dbRowId;
  private $iterator;

  public function __construct($entry) {

    if (isset($entry)) {
      $this->scope    = $entry->scope;
      $this->scopeId  = $entry->scopeId;
      $this->nameProp = $entry->nameProp;
      $this->idProp   = $entry->idProp;
      $this->default  = $entry->default;
      $this->iterator = $entry->iterator;
    }
  }

  public function outputLayout() {

    $layout = "
<input type='hidden' id='$this->scope$this->idProp' class='$this->iterator' name='$this->nameProp' value='$this->scopeId'> 
     ";
  
  	return $layout;
  }	

  public function outputScript() {

	$script = "
	  
    "; 
    return $script;
  }
}

?>